GET /search/rv/active

apigee.net:marketcheck-cars

Summary: Gets active RV listings for the given search criteria
Operation ID:
Auth: api_key
Description

This endpoint provides search on RV inventory. This API produces a list of currently active RV from the market for the given search criteria. The API results are limited to allow pagination upto 5000 rows. The search API facilitates the following use cases - 1. Search RV around a given geo-point within a given radius 2. Search RV for a specific year / make / model or combination of these 3. Search RV matching multiple year, make, model combinatins in the same search request 4. Filter results by most RV specification attributes 5. Filter RV within a given price / miles range 6. Specify a sort order for the results on price / miles / listed date 7. Search RV for a given City / State combination 8. Get Facets to build the search drill downs 9. Get Market averages for price/miles for your search

Parameters (53)

api_key (string, query, optional)

The API Authentication Key. Mandatory with all API calls.

base_exterior_color (string, query, optional)

Base exterior color to match. Valid filter values are those that our Search facets API returns for unique base exterior colors. You can pass in multiple base interior color values comma separated

base_interior_color (string, query, optional)

Base interior color to match. Valid filter values are those that our Search facets API returns for unique base interior colors. You can pass in multiple base interior color values comma separated

city (string, query, optional)

To filter listing on City in which they are listed

class (string, query, optional)

Filter RV listings on class

cylinders (string, query, optional)

To filter listing on their cylinders

dealer_id (string, query, optional)

Dealer id to filter the listings.

dealer_name (string, query, optional)

Filter listings on dealer_name

doors (string, query, optional)

Doors to filter the cars on. Valid filter values are those that our Search facets API returns for unique doors. You can pass in multiple doors values comma separated

engine (string, query, optional)

To filter listing on their engine

exterior_color (string, query, optional)

Exterior color to match. Valid filter values are those that our Search facets API returns for unique exterior colors. You can pass in multiple exterior color values comma separated

facet_sort (string, query, optional, default: count)

Control sort order of facets with this parameter with default sort being on count, Other available sort is alphabetical sort, which can be obtained by using index as value for this param

Constraints: {'enum': ['count', 'index']}

facets (string, query, optional)

The comma separated list of fields for which facets are requested. Facets could be requested in addition to the listings for the search. Please note - The API calls with lots of facet fields may take longer to respond.

first_seen_days (string, query, optional)

First seen days range to filter listings with the first seen in the range given. Range to be given in the format - min-max e.g. 25-12

first_seen_range (string, query, optional)

First seen date range to filter listings with the first seen in the range given. Range to be given in the format [YYYYMMDD] - min-max e.g. 20190523-20190623

fresh_water_capacity (string, query, optional)

To filter on fresh water capacity of vehicle

fuel_type (string, query, optional)

To filter listing on their fuel type

gvwr (string, query, optional)

To filter on the maximum total weight of your vehicle

interior_color (string, query, optional)

Interior color to match. Valid filter values are those that our Search facets API returns for unique interior colors. You can pass in multiple interior color values comma separated

inventory_type (string, query, optional)

To filter listing on their condition. Either used or new

Constraints: {'enum': ['used', 'new']}

last_seen_days (string, query, optional)

Last seen days range to filter listings with the last seen in the range given. Range to be given in the format - min-max e.g. 25-12

last_seen_range (string, query, optional)

Last seen date range to filter listings with the last seen in the range given. Range to be given in the format [YYYYMMDD] - min-max e.g. 20190523-20190623

latitude (number, query, optional)

Latitude component of location

length (string, query, optional)

Filter RV listings on length

length_range (string, query, optional)

length range to filter listings with the length in the range given. Range to be given in the format - min-max e.g. 50-200

longitude (number, query, optional)

Longitude component of location

make (string, query, optional)

To filter listings on their make

miles_range (string, query, optional)

Miles range to filter listings with miles in the given range. Range to be given in the format - min-max e.g. 1000-5000

model (string, query, optional)

To filter listings on their model

model_o (string, query, optional)

To filter listings on their model orig (as described on the webpage)

msa_code (string, query, optional)

To filter listing on msa code in which they are listed

msrp_range (string, query, optional)

MSRP range to filter listings with the msrp in the range given. Range to be given in the format - min-max e.g. 1000-5000

number_of_awnings (string, query, optional)

To filter on number_of_awnings

price_range (string, query, optional)

Price range to filter listings with the price in the range given. Range to be given in the format - min-max e.g. 1000-5000

radius (integer, query, optional)

Radius around the search location (Unit - Miles)

Constraints: {'minimum': 0, 'maximum': 7000}

range_facets (string, query, optional)

The comma separated list of numeric fields for which range facets are requested. Range facets could be requested in addition to the listings for the search. Please note - The API calls with lots of range facet fields may take longer to respond.

rows (integer, query, optional, default: 10)

Number of results to return. Default is 10. Max is 50

Constraints: {'minimum': 0}

search_text (string, query, optional)

To search a substring across entire document

seating_capacity (string, query, optional)

To filter on vehicle seating capacity

sleeps (string, query, optional)

To filter data based on sleeps

slideouts (string, query, optional)

Filter RV listings on slideouts

sort_by (string, query, optional)

Sort by field. Default sort field is distance from the given point

sort_order (string, query, optional)

Sort order - asc or desc. Default sort order is asc

Constraints: {'enum': ['asc', 'desc', 'ASC', 'DESC']}

source (string, query, optional)

To filter listing on their source

start (integer, query, optional, default: 0)

Page number to fetch the results for the given criteria. Default is 0. Pagination is allowed only till first 10000 results for the search and sort criteria. The page value can be only between 1 to 10000/rows

Constraints: {'minimum': 0}

state (string, query, optional)

To filter listing on State in which they are listed

stats (string, query, optional)

The list of fields for which stats need to be generated based on the matching listings for the search criteria. The stats consists of mean, max, average and count of listings based on which the stats are calculated for the field. Stats could be requested in addition to the listings for the search. Please note - The API calls with the stats fields may take longer to respond.

stock_no (string, query, optional)

To filter listing on their stock number on lot

transmission (string, query, optional)

To filter listing on their transmission

vin (string, query, optional)

To filter listing on their VIN

year (string, query, optional)

To filter listing on their year

Constraints: {'minLength': 4}

year_range (string, query, optional)

Year range to filter listings with the year in the range given. Range to be given in the format - min-max e.g. 2019-2021

zip (string, query, optional)

To filter listing on ZIP around which they are listed

No probe data for this endpoint yet.